Bug 27803 - Завершить обновление grub2-pc
: Завершить обновление grub2-pc
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/grub2-pc)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
: 25666
: 27685 27804
  Show dependency tree
 
Reported: 2012-10-04 17:58 by
Modified: 2012-11-13 23:53 (History)


Attachments
alterator-grub.git commit for GRUB 2.00 compatibility (881 bytes, patch)
2012-11-04 12:07, Michael Shigorin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-10-04 17:58:09
Надо вернуть поддержку тем (сейчас не работает, надо разобраться что
случилось), хорошо бы обеспечить i18n (в 2.00 появилась поддержка, но наши
патчи это не учитывают), протестировать, в том числе в установщике (возможно,
опять что-нибудь вылезет с evms)
------- Comment #1 From 2012-10-04 18:17:05 -------
Хорошо, после bug #27016 (MySQL-5.5).
------- Comment #2 From 2012-10-05 07:00:29 -------
Кстати, когда я ещё пользовался grub2-pc, мой kernel (начиная с 3.5.*) уходил в
panic. Откатился на grub2.

Как бы проверить, работает ли оно сейчас, не подвергая свою машину пыткам?
------- Comment #3 From 2012-10-05 19:25:34 -------
(In reply to comment #2)
> Кстати, когда я ещё пользовался grub2-pc, мой kernel (начиная с 3.5.*) уходил в
> panic. Откатился на grub2.
Если ты про 3.5.2-std-def-alt1, то там паник был вне зависимости от загрузчика.
------- Comment #4 From 2012-10-05 19:30:55 -------
Хорошо, если я попробую на текущем (3.5.4-std-def-alt1) и вновь получу panic,
как мне потом оперативно восстановить работоспособность машины? Я, конечно,
оставил на всякий пожарный std-def-3.4.7-alt1, где всё работало, но вот,
например, у кого-то его нет, как спасать ситуацию при отсутствии аварийного
диска?
------- Comment #5 From 2012-10-05 19:32:55 -------
Со спасательного загрузочного телефона. :)  Разумеется, нужно или хотя бы одно
загружающееся ядро, или внешний загрузочный носитель, или переброска диска в
другую машину.
------- Comment #6 From 2012-10-05 19:39:39 -------
Если у меня случится авария снова (вряд ли сегодня, я пока с головой нырнул на
пересборку всего с libpng15), я к тебе пристану, чтоб где-то отразить
рекомендацию по оставлению std-def-3.4.7-alt1 в системе :)
------- Comment #7 From 2012-10-05 19:41:07 -------
(В ответ на комментарий №4)
> Хорошо, если я попробую на текущем (3.5.4-std-def-alt1) 
3.5.5-std-def-alt2 !
------- Comment #8 From 2012-10-05 19:57:43 -------
До меня он пока не дошёл. Буду иметь в виду, тем более впереди выходные.
------- Comment #9 From 2012-10-05 23:13:28 -------
Инцидент исчерпан, всё загрузилось в grub2-pc
------- Comment #10 From 2012-10-26 22:37:09 -------
В нулевом приближении обновил, проверяю и дорабатываю.  Желающим могу выгрузить
текущее состояние гита и исошки инсталятора.
------- Comment #11 From 2012-10-31 14:35:04 -------
grub2-pc-2.00-alt1 -> sisyphus:

* Fri Oct 26 2012 Michael Shigorin <mike@altlinux> 2.00-alt1
- 2.00 (closes: #27803)
- updated patches
  + fixed 05_altlinux_theme (closes: #27642)
- built with devmapper support
  + alterator-grub needs one-line fix to work again on mdraid though
- updated an Url: (closes: #26901)
- added a redundant but compatible unicode.pf2 font file
  (might be split off to a separate subpackage soonish)
------- Comment #12 From 2012-11-04 02:52:37 -------
Переоткрываю до закрытия ошибок, от которых зависит эта ошибка, сейчас это
25666.
Проверена ли  работа i18n? Протестирован ли пакет в установщике? Это прямо
указано в тексте ошибки.
------- Comment #13 From 2012-11-04 12:07:56 -------
Created an attachment (id=5620) [details]
alterator-grub.git commit for GRUB 2.00 compatibility

(In reply to comment #12)
> Переоткрываю до закрытия ошибок, от которых зависит эта ошибка, сейчас это
> 25666.
Вот и подвешивай себе напоминалки ;-)  Пока жду тестирования и прошу у
заинтересованных участия; в ~понедельник отправлю в сизиф, если не будет
отрицательных отзывов.

> Проверена ли  работа i18n?
Ещё нет, решил посмотреть на обстановку с переводами после сборки -efi.

> Протестирован ли пакет в установщике?
Да.  Потребовалось небольшое изменение в alterator-grub; патч (прилагается) был
сделан в начале недели поверх текущего состояния гита timonbl4@ и отослан ему
же для проверки с LUKS, т.к. есть подозрение, что добавившаяся и включенная
поддержка devmapper может заметно сдвинуть картинку и для него.

Инсталеры сейчас доступны как
http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/mkimage-profiles/tmp/
server-mini-20121030-*.iso

> Это прямо указано в тексте ошибки.
i18n указано как FR, а вот отсутствие регрессий и EFI счёл более важными.
------- Comment #14 From 2012-11-05 18:56:32 -------
rpm -iUhv grub2-pc_2.00-alt1_x86%5f64.rpm
Preparing...                       
####################################################################################################
grub2-pc                           
####################################################################################################
Updating grub on /dev/sda...
/usr/sbin/grub-bios-setup: warning: your embedding area is unusually small. 
core.img won't fit in it..
/usr/sbin/grub-bios-setup: error: embedding is not possible, but this is
required for RAID and LVM install.
Updating grub on /dev/sdb...
/usr/sbin/grub-bios-setup: warning: your embedding area is unusually small. 
core.img won't fit in it..
/usr/sbin/grub-bios-setup: error: embedding is not possible, but this is
required for RAID and LVM install.
error: execution of %post scriptlet from grub2-pc-2.00-alt1 failed, exit status
1

apt-get remove grub2-pc#2.00-alt1

rpm -iUhv grub2-pc-1.99-alt9.x86_64.rpm --force
Preparing...                       
####################################################################################################
grub2-pc                           
####################################################################################################
Updating grub on /dev/sda...
Installation finished. No error reported.
Updating grub on /dev/sdb...
Installation finished. No error reported.
Running /usr/lib/rpm/posttrans-filetriggers
Generating grub.cfg ...
<skip>
------- Comment #15 From 2012-11-05 19:21:46 -------
(В ответ на комментарий №14)
> rpm -iUhv grub2-pc_2.00-alt1_x86%5f64.rpm
> Preparing...                       
> ####################################################################################################
> grub2-pc                           
> ####################################################################################################
> Updating grub on /dev/sda...
> /usr/sbin/grub-bios-setup: warning: your embedding area is unusually small. 
> core.img won't fit in it..
> /usr/sbin/grub-bios-setup: error: embedding is not possible, but this is
> required for RAID and LVM install.
> Updating grub on /dev/sdb...
> /usr/sbin/grub-bios-setup: warning: your embedding area is unusually small. 
> core.img won't fit in it..
> /usr/sbin/grub-bios-setup: error: embedding is not possible, but this is
> required for RAID and LVM install.
> error: execution of %post scriptlet from grub2-pc-2.00-alt1 failed, exit status
> 1

Это 25666, она только что исправлена. Завтра в Сизифе будет alt2.
------- Comment #16 From 2012-11-05 21:17:00 -------
Но при возможности лучше сразу проверять 2.00-alt3 из
http://git.altlinux.org/tasks/83727/ (см. bug #27916).
------- Comment #17 From 2012-11-13 23:40:59 -------
alt3 в сизифе, alt4 на подходе (смержен grub2-efi.spec); остатком известных
проблем grub2-pc собираюсь заняться после добивания -efi.
------- Comment #18 From 2012-11-13 23:53:30 -------
grub2-2.00-alt4 -> sisyphus:

* Tue Nov 13 2012 Michael Shigorin <mike@altlinux> 2.00-alt4
- initial EFI support merge
- NB: grub2-pc package got split into -pc and -common,
  please double-check that things went well

* Mon Nov 05 2012 Michael Shigorin <mike@altlinux> 2.00-alt3
- try harder to warn that the configuration is not complete
  for automated grub upgrades thus needs to be updated manually
  (closes: #27916)
- adapted update-grub(8) from debian

* Sun Nov 04 2012 Michael Shigorin <mike@altlinux> 2.00-alt2
- applied upstream patch to revert broken fix resulting in wrong
  assessment of core.img size and a failure to install grub:
  http://bzr.savannah.gnu.org/lh/grub/trunk/grub/revision/4586
  (closes: #25666)

* Fri Oct 26 2012 Michael Shigorin <mike@altlinux> 2.00-alt1
- 2.00 (closes: #27803)
- updated patches
  + fixed 05_altlinux_theme (closes: #27642)
- built with devmapper support
  + alterator-grub needs one-line fix to work again on mdraid though
- updated an Url: (closes: #26901)
- added a redundant but compatible unicode.pf2 font file
  (might be split off to a separate subpackage soonish)